This section explains the requirements for using the PowerShell with AirWatch.

  • A service account that has Remote Shell access to Exchange Server and the minimum roles to integrate with PowerShell:
  • PowerShell minimum version of 3.0. Note, this minimum version of PowerShell is for the application servers and not the Exchange servers. To download an updated version of PowerShell, see Microsoft’s download center. To know the command used to check the version of PowerShell installed, see Server-SideSession Commands.

  • Note:

    Selecting the roles enables all required resources or permissions needed for AirWatch to operate. Create a custom role group with these roles.



    For Office 365 implementations, the service account used must be an Active Directory service account, must have an associated mailbox, and the Exchange Admin role with the three relevant management roles mentioned earlier.

  • Access to the server-side session for AirWatch to run Exchange commands.
  • Port 443 over which the PowerShell commands are issued from the AirWatch Console directly to the Exchange server or through the VMware Enterprise Systems Connector.